Delete Agent Key
DELETE
/api/agents/{agent_id}
const url = 'https://example.com/api/agents/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/api/agents/example \ --header 'Authorization: Bearer <token>'Delete an agent and its key. What it made stays, visible to admin keys. Admin keys only.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”agent_id
required
Agent Id
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response Delete Agent Key Api Agents Agent Id Delete
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}